Bug 243437 - www/gitea: Update to 1.10.3 (fixes security vulnerabilities)
Summary: www/gitea: Update to 1.10.3 (fixes security vulnerabilities)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Jochen Neumeister
URL:
Keywords: security
Depends on:
Blocks:
 
Reported: 2020-01-18 20:52 UTC by stb
Modified: 2020-01-28 04:04 UTC (History)
1 user (show)

See Also:
koobs: merge-quarterly+


Attachments
patch to update port to 1.10.3 (824 bytes, patch)
2020-01-18 20:55 UTC, stb
no flags Details | Diff
vuxml entry for fixed vulns (1.33 KB, patch)
2020-01-18 20:56 UTC, stb
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description stb 2020-01-18 20:52:31 UTC
Update port to Gitea 1.9.5.

This release fixes four security issues and ten bugs.

Release notes: https://github.com/go-gitea/gitea/releases/tag/v1.10.3
Comment 1 stb 2020-01-18 20:55:37 UTC
Created attachment 210850 [details]
patch to update port to 1.10.3
Comment 2 stb 2020-01-18 20:56:08 UTC
Created attachment 210851 [details]
vuxml entry for fixed vulns
Comment 3 commit-hook freebsd_committer 2020-01-20 11:08:00 UTC
A commit references this bug:

Author: joneum
Date: Mon Jan 20 11:07:30 UTC 2020
New revision: 523613
URL: https://svnweb.freebsd.org/changeset/ports/523613

Log:
  Add entry for www/gitea

  PR:		243437
  Reported by:	stb@lassitu.de
  Sponsored by:	Netzkommune GmbH

Changes:
  head/security/vuxml/vuln.xml
Comment 4 commit-hook freebsd_committer 2020-01-20 14:27:16 UTC
A commit references this bug:

Author: joneum
Date: Mon Jan 20 14:26:28 UTC 2020
New revision: 523621
URL: https://svnweb.freebsd.org/changeset/ports/523621

Log:
  Update to 1.10.3

  PR:		243437
  Submitted by:	stb@lassitu.de (maintainer)
  MFH:		2020Q1
  Security:	a512a412-3a33-11ea-af63-0800274e5f20
  Sponsored by:	Netzkommune GmbH

Changes:
  head/www/gitea/Makefile
  head/www/gitea/distinfo
Comment 5 commit-hook freebsd_committer 2020-01-20 14:29:17 UTC
A commit references this bug:

Author: joneum
Date: Mon Jan 20 14:28:39 UTC 2020
New revision: 523622
URL: https://svnweb.freebsd.org/changeset/ports/523622

Log:
  MFH: r523621

  Update to 1.10.3

  PR:		243437
  Submitted by:	stb@lassitu.de (maintainer)
  Security:	a512a412-3a33-11ea-af63-0800274e5f20
  Sponsored by:	Netzkommune GmbH

  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2020Q1/
  branches/2020Q1/www/gitea/Makefile
  branches/2020Q1/www/gitea/distinfo
Comment 6 Jochen Neumeister freebsd_committer 2020-01-20 14:29:41 UTC
landed. thx :-)